Page MenuHomePhabricator

Testwiki pagetriage throwing "Class undefined: ORES\ORESServices"
Closed, ResolvedPublic

Description

Error

Request URL: https://test.wikipedia.org//w/api.php?action=pagetriagelist&format=json&page_id=103016
Request ID: AWoIwtuosODVk2E3dwbU

message
Class undefined: ORES\ORESServices in /srv/mediawiki/php-1.33.0-wmf.25/extensions/PageTriage/includes/OresMetadata.php on line 110
trace
#0 /srv/mediawiki/php-1.33.0-wmf.25/extensions/PageTriage/includes/OresMetadata.php(110): NO_FUNCTION_GIVEN()
#1 /srv/mediawiki/php-1.33.0-wmf.25/extensions/PageTriage/includes/Api/ApiPageTriageList.php(91): MediaWiki\Extension\PageTriage\OresMetadata::newFromGlobalState(DerivativeContext, array)
#2 /srv/mediawiki/php-1.33.0-wmf.25/includes/api/ApiMain.php(1593): MediaWiki\Extension\PageTriage\Api\ApiPageTriageList->execute()
#3 /srv/mediawiki/php-1.33.0-wmf.25/includes/api/ApiMain.php(531): ApiMain->executeAction()
#4 /srv/mediawiki/php-1.33.0-wmf.25/includes/api/ApiMain.php(502): ApiMain->executeActionWithErrorHandling()
#5 /srv/mediawiki/php-1.33.0-wmf.25/api.php(87): ApiMain->execute()
#6 /srv/mediawiki/w/api.php(3): include(string)
#7 {main}

Impact

Notes

Event Timeline

mmodell created this task.Apr 10 2019, 7:49 PM
Restricted Application added a project: Scoring-platform-team. · View Herald TranscriptApr 10 2019, 7:50 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
mmodell triaged this task as Low priority.Apr 10 2019, 7:50 PM
Ladsgroup added a subscriber: Ladsgroup.

I will fix it ASAP

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptApr 10 2019, 8:57 PM

Change 502894 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/PageTriage@master] Update references to ORESServices after namespace move

https://gerrit.wikimedia.org/r/502894

Ladsgroup removed Ladsgroup as the assignee of this task.Apr 10 2019, 8:59 PM
Jdforrester-WMF raised the priority of this task from Low to Unbreak Now!.Apr 11 2019, 12:07 AM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Train blocker. This will blow up PageTriage when deployed to group 2 if not abated.

Restricted Application added subscribers: Liuxinyu970226, TerraCodes. · View Herald TranscriptApr 11 2019, 12:08 AM

Change 502925 had a related patch set uploaded (by Jforrester; owner: Catrope):
[mediawiki/extensions/PageTriage@wmf/1.33.0-wmf.25] Update references to ORESServices after namespace move.

https://gerrit.wikimedia.org/r/502925

Change 502925 merged by jenkins-bot:
[mediawiki/extensions/PageTriage@wmf/1.33.0-wmf.25] Update references to ORESServices after namespace move.

https://gerrit.wikimedia.org/r/502925

Change 502894 merged by Jforrester:
[mediawiki/extensions/PageTriage@master] Update references to ORESServices after namespace move.

https://gerrit.wikimedia.org/r/502894

Mentioned in SAL (#wikimedia-operations) [2019-04-11T00:45:54Z] <jforrester@deploy1001> Synchronized php-1.33.0-wmf.25/extensions/PageTriage/: UBN Fix for pageTriage and ORES T220649 (duration: 01m 04s)

Jdforrester-WMF closed this task as Resolved.Apr 11 2019, 12:46 AM
Jdforrester-WMF assigned this task to Catrope.

Deployed and confirmed fixed.

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:07 PM